Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175878 - pointless boilerplates added to C by default.
Summary: pointless boilerplates added to C by default.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 171491 FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-15 22:01 UTC by Dave Jones
Modified: 2015-01-04 22:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-20 12:02:21 UTC


Attachments (Terms of Use)

Description Dave Jones 2005-12-15 22:01:29 UTC
vim foo.c
(assume foo.c doesn't exist)

a new buffer is opened with this..

/*
 *
=====================================================================================
 *
 *        Filename:  foo.c
 *
 *     Description:
 *
 *         Version:  1.0
 *         Created:  12/15/2005 05:02:18 PM EST
 *        Revision:  none
 *        Compiler:  gcc
 *
 *          Author:  read README.csupport to learn how to set defaults (),
 *         Company:
 *
 *
=====================================================================================
 */


which is nearly always totally useless, and has to be deleted.

Please disable this feature by default, and have users have to enable it in
.vimrc, (as was previous behaviour) instead of making every user have to decode
the documentation (after a 10 minute search I gave up trying to find out how to
disable it), and change their .vimrc's.

Comment 1 Dave Jones 2005-12-16 01:17:17 UTC
for the timebeing, adding

let g:C_Version=47

to .vimrc reverts to the old behaviour.


Comment 2 Karsten Hopp 2005-12-20 12:02:21 UTC
I've disabled the templates in vim-6.4.004-2


Note You need to log in before you can comment on or make changes to this bug.